aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/opie-lockapplet/opie-lockapplet.inc
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-opie/opie-lockapplet/opie-lockapplet.inc')
-rw-r--r--recipes-opie/opie-lockapplet/opie-lockapplet.inc32
1 files changed, 32 insertions, 0 deletions
diff --git a/recipes-opie/opie-lockapplet/opie-lockapplet.inc b/recipes-opie/opie-lockapplet/opie-lockapplet.inc
new file mode 100644
index 0000000..17c9460
--- /dev/null
+++ b/recipes-opie/opie-lockapplet/opie-lockapplet.inc
@@ -0,0 +1,32 @@
+DESCRIPTION = "Lock Opie now Button to lock Opie (as configured in the Security settings) on demand."
+SECTION = "opie/applets"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "lockapplet"
+DEPENDS = "opie-security"
+RDEPENDS_${PN} = "opie-security"
+
+
+S = "${WORKDIR}/lockapplet"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ ${bindir}/qcop QPE/TaskBar "reloadApplets()"
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+${bindir}/qcop QPE/TaskBar "reloadApplets()"
+ if [ -n "$D" ]; then false; fi
+}
+
+do_install() {
+ install -d ${D}${palmtopdir}/plugins/applets ${D}${palmtopdir}/pics/security/
+ oe_libinstall -so liblockapplet ${D}${palmtopdir}/plugins/applets/
+}
+